<?xml version="1.0" encoding="UTF-8" ?>
<html f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd" lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers">
<head>
    <title>CourseregistrationForm: ShowCompanyCourseregistrationForm</title>
</head>

<body>

<f:layout name="Default"/>
<f:section name="main">
    <f:if condition="{Error}!=1">
        <div>
            <f:then>
                <f:if condition="{number_subscriber}">
                    <f:then>
                        <f:form action="send" class="o-form multiform" id="courseregistrationform" method="post"
                                name="courseregistrationform">
                            <f:form.hidden name="course_event_id" value="{course_event_id}"/>
                            <f:form.hidden name="course_form_typ" value="{course_form_typ}"/>
                            <f:form.hidden id="course_event_price" name="course_event_price"
                                           value="{courseData.course_event_price}"/>
                            <f:form.hidden id="course_amount" name="course_amount"
                                           value="{courseData.course_event_price}"/>

                            <f:if condition="{bWaitinglist_active}">
                                <f:render arguments="{sWaitinglist_message: sWaitinglist_message}" partial="CourseregistrationFormFbw/WaitinglistInformation"/>
                            </f:if>

                            <f:render arguments="{aCourseData: courseData}"
                                      partial="CourseregistrationForm/CourseData"/>

                            <div class="o-form__item-group">
                                <header class="header">
                                    <h4 class="o-form__section-headline">Anmeldung als</h4>
                                </header>
                                <div class="o-form__item t-medium-6 columns">
                                    <f:form.radio checked="{ShowDefault.person}" class="button-check" id="person" name="iscompany"
                                                  onclick="toggleFirmaCourseRegistration();" value="0"/>

                                    <label class="button button--primary" for="person">
                                        Person
                                    </label>
                                    <f:form.radio checked="{ShowDefault.company}" class="button-check" id="company"
                                                  name="iscompany" onclick="toggleFirmaCourseRegistration();"
                                                  value="1"/>
                                    <label class="button button--primary" for="company">
                                        Firma (Selbstzahler)
                                    </label>
                                </div>
                            </div>

                            <f:if condition="{bWaitinglist_active}">
                                <f:render arguments="{sWaitinglist_message: sWaitinglist_message}"
                                          partial="CourseregistrationFormFbw/WaitinglistInformation"/>
                            </f:if>

                            <!-- Formular PersonFbw Beginn -->
                            <section class="tx-drk-courseregistrationform-person"
                            <f:if condition="{ShowDefault.person}">
                                <f:then>style="display:block;"</f:then>
                                <f:else>style="display:none;"</f:else>
                            </f:if>
                            >
                            <f:render
                                arguments="{prefix_array: prefix_array, title_array: title_array, aShowFields: aShowFields, renderMandatory: 1, aCourseData: courseData, settings: settings}"
                                partial="CourseregistrationFormFbw/PersonData"/>
                            </section>
                            <!-- Formular Person Ende -->

                            <!-- Formular Firma Selbstzahler Beginn -->
                            <section class="tx-drk-courseregistrationform-company"
                            <f:if condition="{ShowDefault.company}">
                                <f:then>style="display:block;"</f:then>
                                <f:else>style="display:none;"</f:else>
                            </f:if>
                            >

                            <f:render arguments="{aCourseData: courseData, number_subscriber: number_subscriber, prefix_array: prefix_array, title_array: title_array, renderMandatory: 1, is_bgform: 0, aShowFields: aShowFields, settings: settings}"
                                      partial="CourseregistrationForm/CompanyData"/>
                            </section>
                            <!-- Formular Firma Ende -->

                            <f:if condition="{terms_url} != ''">
                                <f:render arguments="{terms_url: terms_url}" partial="CourseregistrationForm/Agb"/>
                            </f:if>

                            <f:if condition="{aShowFields.EmailDeclassification}">
                                <f:render partial="CourseregistrationForm/AdditionalInformation"/>
                            </f:if>
                            <f:if condition="{privacy_url} != ''">
                                <f:render arguments="{privacy_url: privacy_url}"
                                          partial="CourseregistrationForm/Privacy"/>
                            </f:if>

                            <f:if condition="{bWaitinglist_active}">
                                <f:then>
                                    <f:comment>No payment, if waitingslist is active</f:comment>
                                    <f:if condition="{payCashText} != ''">
                                        <div class="o-form__item t-medium-24 columns is-last-in-row">
                                            <p>
                                                <f:format.raw>{payCashText}</f:format.raw>
                                            </p>
                                        </div>
                                    </f:if>
                                    <f:render partial="CourseregistrationFormFbw/Submit" arguments="{bPayingCash: bPayingCash}"/>
                                </f:then>
                                <f:else>
                                    <f:if condition="{bPayPal}">
                                        <f:then>
                                            <f:comment>Paypal payment</f:comment>
                                            <f:render arguments="{aCourseData: courseData}" partial="CourseregistrationForm/PaypalPayment"/>
                                            <f:if condition="{settings.Paypal.Only} == 0">
                                                <f:comment>Paypal and cash payment available</f:comment>
                                                <p>
                                                    <f:format.raw>{payCashText}</f:format.raw>
                                                </p>
                                                <f:render partial="CourseregistrationFormFbw/Submit" arguments="{bPayingCash: 1}"/>
                                            </f:if>
                                        </f:then>
                                        <f:else>
                                            <f:if condition="{bPayingCash}">
                                                <f:then>
                                                    <f:comment>only cash payment available</f:comment>
                                                    <f:if condition="{payCashText} != ''">
                                                        <div class="o-form__item t-medium-24 columns is-last-in-row">
                                                            <p>
                                                                <f:format.raw>{payCashText}</f:format.raw>
                                                            </p>
                                                        </div>
                                                    </f:if>
                                                </f:then>
                                                <f:else>
                                                    <f:comment>only sepa payment available</f:comment>
                                                    <f:render arguments="{aCourseData: courseData}" partial="CourseregistrationFormFbw/Payment"/>
                                                </f:else>
                                            </f:if>
                                            <f:render partial="CourseregistrationFormFbw/Submit" arguments="{bPayingCash: bPayingCash}"/>
                                        </f:else>
                                    </f:if>
                                </f:else>
                            </f:if>
                        </f:form>
                        <div class="modal tx-drk-courseregistrationform-send-modal">
                            <header class="header">
                                <h3 class="o-form__section-headline">Vielen Dank,</br> Ihre Anmeldung wird verarbeitet.</h3>
                            </header>
                        </div>
                    </f:then>
                    <f:else>
                        <p>{sOverbookingForbiddenMessage}</p>
                        <p style="margin-top: 1em"><input class="button o-btn" name="back_button" onClick="javascript:history.back(1)"
                                                          type="button" value="Zurück"></p>
                    </f:else>
                </f:if>
            </f:then>
            <f:else>
                <div class="min-content-width">
                <p>
                    <f:for as="error_value" each="{errorMessages}" key="error_key">
                        <strong>{error_key}:</strong> {error_value}
                    </f:for>
                </p>
                <p style="margin-top: 1em"><input class="button o-btn" name="back_button" onClick="javascript:history.back(1)" type="button"
                                                  value="Zurück"></p>
                </div>
            </f:else>
        </div>
    </f:if>
</f:section>
</body>
</html>
